#!/bin/sh
afterinstall(){
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .cups`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    ln -sf $NEW $OLD
  fi
}

(cd usr/bin
config lp.cups
config lpq.cups
config lpr.cups
config lprm.cups
config lpstat.cups
config cancel.cups
)

(cd usr/sbin
config lpc.cups
)

( cd usr/man/man1

if  ! test -f lp.1.gz ; then
ln -sf lp.cups.1.gz lp.1.gz 
fi

if ! test -f lprm.1.gz ; then
ln -sf lprm.cups.1.gz lprm.1.gz
fi

if ! test -f cancel.1.gz ; then
ln -sf cancel.cups.1.gz cancel.1.gz
fi

if ! test -f lpstat.1.gz ; then
ln -sf lpstat.cups.1.gz lpstat.1.gz 
fi

if ! test -f lpq.1.gz ; then
ln -sf lpq.cups.1.gz lpq.1.gz
fi

if ! test -f lpr.1.gz ; then
ln -sf lpr.cups.1.gz lpr.1.gz
fi

)

( cd usr/man/es/man1

if  ! test -f lp.1.gz ; then
ln -sf lp.cups.1.gz lp.1.gz 
fi

if ! test -f lprm.1.gz ; then
ln -sf lprm.cups.1.gz lprm.1.gz
fi

if ! test -f cancel.1.gz ; then
ln -sf cancel.cups.1.gz cancel.1.gz
fi

if ! test -f lpstat.1.gz ; then
ln -sf lpstat.cups.1.gz lpstat.1.gz 
fi

if ! test -f lpq.1.gz ; then
ln -sf lpq.cups.1.gz lpq.1.gz
fi

if ! test -f lpr.1.gz ; then
ln -sf lpr.cups.1.gz lpr.1.gz
fi

)

( cd usr/man/fr/man1

if  ! test -f lp.1.gz ; then
ln -sf lp.cups.1.gz lp.1.gz 
fi

if ! test -f lprm.1.gz ; then
ln -sf lprm.cups.1.gz lprm.1.gz
fi

if ! test -f cancel.1.gz ; then
ln -sf cancel.cups.1.gz cancel.1.gz
fi

if ! test -f lpstat.1.gz ; then
ln -sf lpstat.cups.1.gz lpstat.1.gz 
fi

if ! test -f lpq.1.gz ; then
ln -sf lpq.cups.1.gz lpq.1.gz
fi

if ! test -f lpr.1.gz ; then
ln -sf lpr.cups.1.gz lpr.1.gz
fi

)


( cd usr/man/man8

if  ! test -f lpc.1.gz ; then
ln -sf lpc.cups.8.gz lpc.8.gz
fi

)


( cd usr/man/es/man8

if  ! test -f lpc.1.gz ; then
ln -sf lpc.cups.8.gz lpc.8.gz
fi

)


( cd usr/man/fr/man8

if  ! test -f lpc.1.gz ; then
ln -sf lpc.cups.8.gz lpc.8.gz
fi

)

if [ -r $TMP/say ]; then
    if [ "`cat $TMP/say`" = "1" ] ; then 
    service cups start 1>/dev/null 2>/dev/null
    fi
fi
rm -f $TMP/say

}

beforeremove(){
if grep cups /etc/group 1> /dev/null 2> /dev/null ; then
/usr/sbin/groupdel  cups
fi

service cups status 1>/dev/null 2>/dev/null
if [ "$?" = "1" ]; then  
service cups stop 1>/dev/null 2>/dev/null
fi

}

case "$1" in
'--afterinstall')
afterinstall
;;
'--beforeremove')
beforeremove
;;
*)
esac
